#Asher in
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    ArgentPlt = getTag(e, "ArgentPlt1")
    if(ArgentPlt == 1):
        letsgo(e)
    elif(ArgentPlt == 0):
        showPicture(e, "Catacombs")
        showMessage(e, ["You can't seem to find a way to open this door"])
        return 0

    showPicture(e, "Catacombs")
    if (poseYesNo(e,
        ["You see before you a dirty old door, leading into an dank building. On the wall next to the door hangs a sign", "Here layeth Asher, father of the despicable art of necromancy. Entry is Forbidden",
         "Do you enter?"])):
        tickGame(e, 60)
        setExit(e, "maps/asher1.cfg", 0, 7, 270)
    return 0

def letsgo(e):
    showPicture(e, "rose")
    showMessage(e, ["Argent! Argent! They've come!"])
    showPicture(e, "argent")
    showMessage(e, ["Bless my hammer, you did have the pluck to attempt this didn't you?", "I will need Rose by my side to help prevent the constructs from escaping my control once we enter Asher's Tomb, so I'm afraid that neither of us will be able to aid you during the delving", "We shall follow but a few paces behind, and guard your back as best we can", "if you decide to leave these tombs and go elsewhere, we will probably try to press on without you"])
 
